Subject: bug#64137: closed (Re: [PATCH 0/2] Build catch2@3 with CMake and update to 3.3.2)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Jul 2023 10:42:02 +0000

Your bug report

#64137: [PATCH 0/2] Build catch2@3 with CMake and update to 3.3.2

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64137: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64137
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 0/2] Build catch2@3 with CMake and update to 3.3.2
From: Liliana Marie Prikler <[email-masked]>
To: David Elsing <[email-masked]>
Cc: [email-masked]
Date: Sat, 01 Jul 2023 12:41:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Mittwoch, dem 28.06.2023 um 16:50 +0000 schrieb David Elsing:
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > Am Sonntag, dem 25.06.2023 um 10:01 +0000 schrieb David Elsing:
> > > Thanks for your comments, here are the updated patches. I removed
> > > the
> > > cmake-static package as I also don't have any need for it.
> > Thanks for the updates.  I do have some minor changes for the
> > synopses and descriptions, but nothing major.  I'll push them once
> > CI lights green or next weekend :)
> Ok, thanks!
> On armhf-linux, there is an error (warning) from -Werror=cast-align
> because an unsigned char* is cast to std::string*, but this is fine
> because the unsigned char array it points to is declared with
> alignas. I accidentally set -DENABLE_WERROR=OFF instead of
> -DCATCH_ENABLE_WERROR=OFF, but now the build succeeds.
Pushed and followed up with a commit that does that.

Cheers

Subject: [PATCH 0/2] Build catch2@3 with CMake and update to 3.3.2
From: David Elsing <[email-masked]>
To: [email-masked]
Cc: David Elsing <[email-masked]>
Date: Sat, 17 Jun 2023 19:27:18 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Currently, the catch2-3.1 package is built with Meson. I think this was done
to build both static and shared libraries together, which is not supported by
CMake. Unfortunately, several CMake files (in lib/cmake/Catch2) are not
installed and to install them, CMake would be necessary as build dependency
anyway. Only the clingo package depends on this package and the static output
is not used in another package.

Would it be acceptable to build it with CMake instead, like the catch2 package
(for version 2)? I also included a separate package for the static version. Of
course, the documentation and headers are then installed in both packages.

David Elsing (2):
  gnu: catch2-3.1: Rename to catch2-3.3.
  gnu: Add catch2-static-3.3.

 gnu/packages/check.scm    | 81 ++++++++++-----------------------------
 gnu/packages/potassco.scm |  2 +-
 2 files changed, 21 insertions(+), 62 deletions(-)

base-commit: 6e1215fb9c03ccb4a2d4440990aee5a66a935268
-- 
2.40.1